<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">RdfSearchMapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.RdfSearchMapper Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4965dcdcd61973c0e54ae130ff93a07d">_indexMapper</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a969dd6ce70dbfbcffe4c8c9ea994485d">_RdfClient</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a8c606fc285599d995ab58c3e1bc77c14">_searchClient</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a8920797934d1b70d9205bcd64e7ddc76">_version</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a264594363c603814ec6aaecdd4b43d68">AddDocumentAsync</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#afb0d5d6e13bde96600f8f489752644f3">CreateDocument</a>(string graphName, bool changeOtherDocs)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#abaa774b868c7f42c97a9b804b98f3592">CreateIndexAsync</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aeb17f107cf6d33d31f812eede1b61365">DeleteDocumentAsync</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9c280ad42538e56bf06f15ef4de60675">GetCurrentIndex</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a881f6f1e97e793fdfedaef0c714548f7">RdfSearchMapper</a>(IRdfConnector connector, ISearchClient searchClient, string language)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9cd26a7bc78359fdd781ad108c828af9">ReIndexAsync</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#accd2eb1ac80db3a7415251d9ab604324">SEARCH_ADVANCED</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4643c421de6469d8366b9209e7e3146d">SEARCH_FROM</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aed2550cf8759e4bc769c82a5f64f6816">SEARCH_SIZE</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a38145e726d5fed94d57dc38d6699dffb">SEARCH_SORTING</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9534732a7ffc8e6298597a522c8b2b15">SearchAsync</a>(string query, string user, bool advanced=SEARCH_ADVANCED, int size=SEARCH_SIZE, int from=SEARCH_FROM, string sorting=SEARCH_SORTING)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">SemanticSearchImplementation.RdfSearchMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
